#!/bin/bash

# Makes symlinks to all.pdf files in the date/const directories. 
#  To be run before ConstPDFset.sh

LC_ALL="C"

Ye=2023

mkdir constell
cd constell

#for C in Ori CMa Leo Crux Her Sco Sgr Cyg Gru Peg
for C in Ori CMa Leo Crux Her Boo Sco Sgr Cyg Gru Peg Per Tau Gem

do

 echo $C
for MoDa in \
01-18 \
02-17 \
03-18 \
04-17 \
05-16 \
06-14 \
07-13 \
08-12 \
09-10 \
10-09 \
11-08 \
12-08


do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo $MoNDa

  
  num=1
   if [ -f ../$MoNDa/$C/all.pdf ] 
   then
    echo $num
    ln -sf ../$MoNDa/$C/all.pdf $C$MoNDa.pdf
    num=$[$num+1]
   else 
    ls ../$MoNDa/$C/all.pdf
   fi
   

#  pdftk ?.pdf \
#   cat output ${C}${D}.pdf

#  rm  ?.pdf 
  
 done

done

cd ..
 
